package com.example.testktor.ViewModel

import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.testktor.Category
import com.example.testktor.SneakerCategoryResponse
import com.example.testktor.getSneakers
import io.ktor.client.HttpClient
import io.ktor.client.engine.android.Android
import kotlinx.coroutines.launch

class MainViewModel : ViewModel() {
    var sneakersCategories by mutableStateOf(SneakerCategoryResponse(emptyList(), emptyList()))
        private set

    private val client = HttpClient(Android)

//    var selectedCategory by mutableStateOf<Int?>(null)
    var selectedCategory by mutableStateOf<Category?>(null)


    init {
        viewModelScope.launch {
            sneakersCategories = getSneakers(client) ?: SneakerCategoryResponse(emptyList(), emptyList())
        }
    }

    fun refreshData() {
        viewModelScope.launch {
            sneakersCategories = getSneakers(client) ?: SneakerCategoryResponse(emptyList(), emptyList())
        }
    }
}